# `BB`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb.ex#L5)

Documentation for `BB` (Beam Bots).

### Options

* `:extensions` (list of module that adopts `Spark.Dsl.Extension`) - A list of DSL extensions to add to the `Spark.Dsl`

* `:otp_app` (`t:atom/0`) - The otp_app to use for any application configurable options

* `:fragments` (list of `t:module/0`) - Fragments to include in the `Spark.Dsl`. See the fragments guide for more.

# `call`

# `cast`

# `publish`

# `send`

# `subscribe`

# `unsubscribe`

---

*Consult [api-reference.md](api-reference.md) for complete listing*
